[arch-commits] Commit in kipi-plugins/trunk (PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Mon Nov 2 07:13:27 EST 2009


    Date: Monday, November 2, 2009 @ 07:13:27
  Author: tpowa
Revision: 57805

upgpkg: kipi-plugins 0.8.0-1
    bump to new version

Modified:
  kipi-plugins/trunk/PKGBUILD

----------+
 PKGBUILD |   14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-02 11:19:35 UTC (rev 57804)
+++ PKGBUILD	2009-11-02 12:13:27 UTC (rev 57805)
@@ -2,7 +2,7 @@
 # Maintainer: Tobias Powalowski <tpowa at archlinux.org>
 
 pkgname=kipi-plugins
-pkgver=0.7.0
+pkgver=0.8.0
 pkgrel=1
 pkgdesc="libkipi plugins for digikam and kde apps"
 arch=("i686" "x86_64")
@@ -11,16 +11,18 @@
 makedepends=('pkgconfig' 'cmake' 'automoc4')
 depends=('kdegraphics-libs' 'kdepimlibs' 'opencv' 'libgpod>=0.7.0')
 source=("http://downloads.sourceforge.net/sourceforge/kipi/$pkgname-$pkgver.tar.bz2")
-optdepends=('imagemagick: for picture manipulation')
+optdepends=('imagemagick: for picture manipulation'
+            'qca: for shwup webservice support')
 install=kipi-plugins.install
 
 build() {
   cd $srcdir/$pkgname-$pkgver
-  cmake . -DCMAKE_INSTALL_PREFIX=/usr \
+  mkdir build
+  cd build
+  cmake ../ -DCMAKE_INSTALL_PREFIX=/usr \
     -DCMAKE_SKIP_RPATH=ON \
     -DCMAKE_{SHARED,MODULE,EXE}_LINKER_FLAGS='-Wl,--no-undefined -Wl,--as-needed'
-  make
   make || return 1
-  make DESTDIR=$pkgdir install
+  make DESTDIR=$pkgdir install || return 1
  }
-md5sums=('564e766f7afac6169ff0cc591667183c')
+md5sums=('2049c37dd1bff8f818e379d3c7676389')



More information about the arch-commits mailing list